Skip to content

Switch (Template) ​

34 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getOswForGivenLanNetworkIdAndVlanTemplateGETGet the paging query for the osw templates with given network id and vlan
getOswsDetailsTemplatePOSTGet the details of osw templates with given omadacid, siteid and macs and stackIds.
getSwitchTemplateInfoGETGet switch template info
getSwitchTemplateExistNetworksGETGet the networks existing on the switch template
listSwitchInterfacesTemplateGETList Switch Interfaces Template
modifyPmtudStatusPOSTModify Path MTU Discovery Template
deleteSwitchLagTemplateDELETEDelete switch template lag
modifySwitchLagTemplatePATCHModify switch template lag
batchModifySwitchPortTemplatePATCHBatch modify switch template port
batchSetNameForGivenPortsPUTBatch set name for given switch template ports
batchSetPoeModeForGivenPortsPUTBatch set poe mode for given switch template ports
batchSetProfileOverrideForGivenPortsPUTBatch set profile-override for given switch template ports
batchSetPortStatusForGivenPortsPUTBatch set status for given switch template ports
getGridPortAndLagNetworksGETGet the networks used on switch template's ports and LAGs
getPortAndLagNetworkGETGet the switch template's ports and LAGs that the network affects
modifySwitchPortTemplatePATCHModify switch template port
setNameForGivenPortPUTSet name for given switch template port
setPoeModeForGivenPortPUTSet poe mode for given switch template port
setProfileForGivenPortPUTSet profile for given switch template port
setProfileOverrideForGivenPortPUTSet profile-override for given switch template port
setPortModeForGivenPortPUTSet port status for given switch template port
getRpvstInstancesTemplateGETGet Rpvst Instances Template
getRpvstInstancesDetailTemplatePOSTGet StpInstanceDetail Template
getGridVrfTemplateGETGet the vrfs on the switch template (deprecated)
createOswVrfTemplatePOSTCreate new vrf template (deprecated)
deleteOswVrfTemplateDELETEDelete vrf template (deprecated)
modifyOswVrfTemplatePUTModify vrf template (deprecated)
getBatchSwitchTemplateExistNetworksPOSTGet the networks intersections existing on multiple switch templates
deletePortTagTemplateDELETEDelete an existing template port label
getPortTagTemplatesGETGet template port label list
modifyPortTagTemplatePATCHModify an existing template port label
addPortTagTemplatePOSTCreate new template port label
getBatchRpvstInstancesTemplatePOSTGet Batch Rpvst Instances Template
getBatchSwitchTemplateExistNetworksV2POSTGet the networks intersections existing on multiple switch templates V2

getOswForGivenLanNetworkIdAndVlanTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/vlans/{vlan}/switches

Get the paging query for the osw templates with given network id and vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesnetworkId
vlanpathstringyesvlan
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOswForGivenLanNetworkIdAndVlanTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>",
    "vlan": "<vlan>"
  }
}
Details, permissions and error codes

Get the paging query for the osw templates with given network id and vlan
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.

getOswsDetailsTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switches/details

Get the details of osw templates with given omadacid, siteid and macs and stackIds.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema OswDetailOpenApiVO

FieldTypeRequiredDescription
macsarray<string>noThe collection of macs of the general switches.
stackIdsarray<string>noThe collection of stack ids of the stack switches.
networkIdstringyesNetwork ID.
vlanintegeryesVLAN ID.
json
// omada_call_operation
{
  "operationId": "getOswsDetailsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the details of osw templates with given omadacid, siteid and macs and stackIds.
The interface requires one of the permissions:
Global Site Template Manager View Only

getSwitchTemplateInfo ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}

Get switch template info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
json
// omada_call_operation
{
  "operationId": "getSwitchTemplateInfo",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get switch template info.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.

getSwitchTemplateExistNetworks ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/exist-network

Get the networks existing on the switch template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
json
// omada_call_operation
{
  "operationId": "getSwitchTemplateExistNetworks",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get the networks existing on the switch template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.

listSwitchInterfacesTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/interfaces

List Switch Interfaces Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "listSwitchInterfacesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

List Switch Interfaces Template, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

modifyPmtudStatus ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/interfaces/pmtud

Modify Path MTU Discovery Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OswPmtudVO

FieldTypeRequiredDescription
enablebooleannoThe Switch of Path MTU Discovery.
json
// omada_call_operation
{
  "operationId": "modifyPmtudStatus",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify Path MTU Discovery Template.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

deleteSwitchLagTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/lags/{lagId}

Delete switch template lag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
lagIdpathstringyesLag ID
json
// omada_call_operation
{
  "operationId": "deleteSwitchLagTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "lagId": "<lagId>"
  }
}
Details, permissions and error codes

Delete switch template lag.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

modifySwitchLagTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/lags/{lagId}

Modify switch template lag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
lagIdpathstringyesLag ID

Request body — application/json (required) — schema OswLagSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
lagIdintegernoLag ID
lagTypeintegernoLag Type should be a value as follows: 1: STATIC; 2: LACP; 3: LACP ACTIVE; 4: LACP PASSIVE
portsarray<integer>noLag Ports
mlagNamestringnoM-LAG group Name
mlagEnablebooleannoIndicates whether M-LAG port is enabled
mlagPeerSettingOswMlagPeerSettingVOno(OswMlagPeerSettingVO not expanded; call omada_get_schema "OswMlagPeerSettingVO")
json
// omada_call_operation
{
  "operationId": "modifySwitchLagTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "lagId": "<lagId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch template lag.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

batchModifySwitchPortTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/config

Batch modify switch template port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema BatchOswPortSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
mirroredPortsarray<integer>noMirrored Ports
mirroredLagsarray<integer>noMirrored Lags
lagSettingOswLagBasicVOno(OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO")
lagDeletebooleannoWhen the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId.
dot1xintegernoDot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto
poeintegernoPoe should be a value as follows: 0: Off; 1: 802.3at/af
lldpMedEnablebooleannoIndicates whether LLDP-MED is enabled
topoNotifyEnablebooleannoIndicates whether Topology Notify is enabled
portListarray<integer>yes
json
// omada_call_operation
{
  "operationId": "batchModifySwitchPortTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

batchSetNameForGivenPorts ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/name

Batch set name for given switch template ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema PortNameList

FieldTypeRequiredDescription
portNameListarray<SwitchMultiPortName>yesPort name list
json
// omada_call_operation
{
  "operationId": "batchSetNameForGivenPorts",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set name for given switch template ports.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

batchSetPoeModeForGivenPorts ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/poe-mode

Batch set poe mode for given switch template ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema SwitchPortsPoe

FieldTypeRequiredDescription
portListarray<integer>yesPort ID List.
poeModeintegeryesPoe mode should be a value as follows: 1: on(802.3at/af); 0: off.
json
// omada_call_operation
{
  "operationId": "batchSetPoeModeForGivenPorts",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set poe mode for given switch template ports. Please enable profile override first to use this interface.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39737 - Profile override setting is disabled.
-44402 - Device template does not exist.

batchSetProfileOverrideForGivenPorts ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/profile-override

Batch set profile-override for given switch template ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema BatchProfileOverride

FieldTypeRequiredDescription
portListarray<integer>yesPort ID List.
profileOverrideEnablebooleanyesProfile Override Enable.
json
// omada_call_operation
{
  "operationId": "batchSetProfileOverrideForGivenPorts",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set profile-override for given switch template ports.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

batchSetPortStatusForGivenPorts ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/status

Batch set status for given switch template ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema SwitchPortsStatus

FieldTypeRequiredDescription
portListarray<integer>yesPort list
statusintegeryesStatus should be a value as follows: 0: off; 1: on
json
// omada_call_operation
{
  "operationId": "batchSetPortStatusForGivenPorts",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set status for given switch template ports.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39723 - Cannot choose mirroring or aggregating ports to batch modify.
-44402 - Device template does not exist.

getGridPortAndLagNetworks ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/port-lag-networks

Get the networks used on switch template's ports and LAGs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridPortAndLagNetworks",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get the networks used on switch template's ports and LAGs.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.

getPortAndLagNetwork ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/port-lag-networks/{networkId}/vlan/{vlan}

Get the switch template's ports and LAGs that the network affects

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
networkIdpathstringyesSwitch network ID.
vlanpathstringyesVLAN.
json
// omada_call_operation
{
  "operationId": "getPortAndLagNetwork",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "networkId": "<networkId>",
    "vlan": "<vlan>"
  }
}
Details, permissions and error codes

Get the switch template's ports and LAGs that the network affects.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-44402 - Device template does not exist.

modifySwitchPortTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}

Modify switch template port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
portpathstringyesPort ID

Request body — application/json (required) — schema OswPortSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
mirroredPortsarray<integer>noMirrored Ports
mirroredLagsarray<integer>noMirrored Lags
lagSettingOswLagBasicVOno(OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO")
lagDeletebooleannoWhen the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId.
dot1xintegernoDot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto
poeintegernoPoe should be a value as follows: 0: Off; 1: 802.3at/af
lldpMedEnablebooleannoIndicates whether LLDP-MED is enabled
topoNotifyEnablebooleannoIndicates whether Topology Notify is enabled
json
// omada_call_operation
{
  "operationId": "modifySwitchPortTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

setNameForGivenPort ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/name

Set name for given switch template port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
portpathstringyesPort ID

Request body — application/json (required) — schema SwitchPortName

FieldTypeRequiredDescription
namestringyesName should contain 1 to 128 characters.
json
// omada_call_operation
{
  "operationId": "setNameForGivenPort",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set name for given switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

setPoeModeForGivenPort ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/poe-mode

Set poe mode for given switch template port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
portpathstringyesPort

Request body — application/json (required) — schema SwitchPortPoe

FieldTypeRequiredDescription
poeModeintegeryesPoe mode should be a value as follows: 1: on(802.3at/af); 0: off.
json
// omada_call_operation
{
  "operationId": "setPoeModeForGivenPort",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set poe mode for given switch template port. Please enable profile override first to use this interface.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39737 - Profile override setting is disabled.
-44402 - Device template does not exist.

setProfileForGivenPort ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/profile

Set profile for given switch template port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
portpathstringyesPort ID

Request body — application/json (required) — schema SwitchProfileID

FieldTypeRequiredDescription
profileIdstringyesProfile ID.
json
// omada_call_operation
{
  "operationId": "setProfileForGivenPort",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set profile for given switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

setProfileOverrideForGivenPort ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/profile-override

Set profile-override for given switch template port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
portpathstringyesPort ID

Request body — application/json (required) — schema ProfileOverride

FieldTypeRequiredDescription
profileOverrideEnablebooleanyesProfile Override Enable
json
// omada_call_operation
{
  "operationId": "setProfileOverrideForGivenPort",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set profile-override for given switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.

setPortModeForGivenPort ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/status

Set port status for given switch template port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
portpathstringyesPort

Request body — application/json (required) — schema SwitchPortStatus

FieldTypeRequiredDescription
statusintegeryesStatus should be a value as follows: 0: off; 1: on
json
// omada_call_operation
{
  "operationId": "setPortModeForGivenPort",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set port status for given switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39738 - Cannot choose mirroring or aggregating port to modify status.
-44402 - Device template does not exist.

getRpvstInstancesTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/rpvst-instances

Get Rpvst Instances Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
json
// omada_call_operation
{
  "operationId": "getRpvstInstancesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get Rpvst Instances Template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getRpvstInstancesDetailTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/stp/instance-detail

Get StpInstanceDetail Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema StpInstanceDetailVO

FieldTypeRequiredDescription
stpintegeryesstp, 1: STP / 2: RSTP / 3: MSTP / 4: RPVST / 0: OFF
idintegernoinstance ID
vlanintegernoinstance vlanId
json
// omada_call_operation
{
  "operationId": "getRpvstInstancesDetailTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get StpInstanceDetail Template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getGridVrfTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs

Deprecated

This operation is deprecated.

Get the vrfs on the switch template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
json
// omada_call_operation
{
  "operationId": "getGridVrfTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get the vrfs on the switch template. This interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager View Only

createOswVrfTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs

Deprecated

This operation is deprecated.

Create new vrf template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OswVrfConfigOpenApiVO

FieldTypeRequiredDescription
vrfstringnoVRF name: 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+; cannot be '.' or '..' only. This parameter is required when creating a VRF and is not needed when modifying a VRF.
ipv4EnablebooleannoWhether to enable ipv4. Ipv4Enable should be true. This parameter is required when creating a VRF and is not needed when modifying a VRF.
ipv6EnablebooleanyesWhether to enable ipv6
json
// omada_call_operation
{
  "operationId": "createOswVrfTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new vrf template. This interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteOswVrfTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs/{vrfId}

Deprecated

This operation is deprecated.

Delete vrf template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
vrfIdpathstringyesVRF ID
json
// omada_call_operation
{
  "operationId": "deleteOswVrfTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "vrfId": "<vrfId>"
  }
}
Details, permissions and error codes

Delete vrf template. This interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyOswVrfTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs/{vrfId}

Deprecated

This operation is deprecated.

Modify vrf template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
vrfIdpathstringyesVRF ID

Request body — application/json (required) — schema OswVrfConfigOpenApiVO

FieldTypeRequiredDescription
vrfstringnoVRF name: 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+; cannot be '.' or '..' only. This parameter is required when creating a VRF and is not needed when modifying a VRF.
ipv4EnablebooleannoWhether to enable ipv4. Ipv4Enable should be true. This parameter is required when creating a VRF and is not needed when modifying a VRF.
ipv6EnablebooleanyesWhether to enable ipv6
json
// omada_call_operation
{
  "operationId": "modifyOswVrfTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "vrfId": "<vrfId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify vrf template. This interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager Modify

getBatchSwitchTemplateExistNetworks ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/exist-network

Get the networks intersections existing on multiple switch templates

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema OswMacListVO

FieldTypeRequiredDescription
switchMacListarray<string>yesSwitch Mac List
json
// omada_call_operation
{
  "operationId": "getBatchSwitchTemplateExistNetworks",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the networks intersections existing on multiple switch templates.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.

deletePortTagTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/port-tag

Delete an existing template port label

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema DeletePortTagOpenApiVO

FieldTypeRequiredDescription
tagIdstringyesPort label ID
json
// omada_call_operation
{
  "operationId": "deletePortTagTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing template port label.
The interface requires one of the permissions:
Global Site Template Manager Modify

getPortTagTemplates ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/port-tag

Get template port label list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getPortTagTemplates",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get template port label list.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyPortTagTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/port-tag

Modify an existing template port label

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema PortTagOpenApiVO

FieldTypeRequiredDescription
tagIdstringyesPort label ID
namestringyesPort label name should contain 1 to 128 ASCII characters.
resourceintegernoData Source. Resource should be a value as follows: 0: new created; 1: from template; 2: override
json
// omada_call_operation
{
  "operationId": "modifyPortTagTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing template port label.
The interface requires one of the permissions:
Global Site Template Manager Modify

addPortTagTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/port-tag

Create new template port label

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreatePortTagOpenApiVO

FieldTypeRequiredDescription
namestringyesPort label name should contain 1 to 128 ASCII characters.
json
// omada_call_operation
{
  "operationId": "addPortTagTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new template port label.
The interface requires one of the permissions:
Global Site Template Manager Modify

getBatchRpvstInstancesTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/rpvst-instances

Get Batch Rpvst Instances Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required)

Type: array&lt;string&gt;

json
// omada_call_operation
{
  "operationId": "getBatchRpvstInstancesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get Batch Rpvst Instances Template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getBatchSwitchTemplateExistNetworksV2 ​

POST /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/exist-network

Get the networks intersections existing on multiple switch templates V2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema OswDeviceTemplateIdListVO

FieldTypeRequiredDescription
switchDeviceTemplateIdListarray<string>no
json
// omada_call_operation
{
  "operationId": "getBatchSwitchTemplateExistNetworksV2",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the networks intersections existing on multiple switch templates.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.